%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-nouveau
Version: 0.0.10
Release: alt1.M41.1
Serial:2
Summary: NVIDIA video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

Requires: xorg-x11-dri-nouveau xorg-x11-extensions-glx
Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-nouveau = %serial:%version-%release
Obsoletes: xorg-x11-drv-nouveau

BuildRequires: libdrm-devel libmesa-devel xorg-sdk
BuildRequires: xorg-proto-devel xorg-util-macros

%description
nouveau  is  an  Xorg  driver for NVIDIA video cards.  The driver
supports 2D acceleration and provides support for the following  frame-
buffer depths: 8, 15, 16 (except Riva128) and 24.  All visual types are
supported for depth 8, TrueColor and DirectColor visuals are  supported
for  the other depths with the exception of the Riva128 which only sup-
ports TrueColor in the higher depths.

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
sed -ne 's|^#define[[:space:]]*CHIPSET_\([0-9A-Z]*\)[[:space:]]*0x\(.*\)0|alias pcivideo:v000010DEd0000\2*sv*sd*bc*sc*i* nouveau\t# \1|p' src/nv_type.h \
	> %buildroot%_hwdatadir/nouveau.xinf
mkdir -p %buildroot%_fdidir
sh xinf2fdi -x %buildroot%_hwdatadir/nouveau.xinf -f %buildroot%_fdidir/11-x11-video-nouveau.fdi -d nouveau

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/nouveau.xinf
%_fdidir/11-x11-video-nouveau.fdi
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:0.0.10-alt1.M41.1
- build for branch 4.1

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:0.0.10-alt2
- renamed xorg-x11-drv-nouveau to xorg-drv-nouveau
- added requires XORG_ABI_VIDEODRV = 2.0

* Sun Feb 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:0.0.10-alt1
- 0.0.10 GIT snapshot 2008-02-02 (2a1116cbf61e84b16366076366f4bbd5f550fb9f)

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt11
- GIT snapshot 2008-01-05 (73101dbcfac68688914e2a3f46008ddd69d0dc62)

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt10
- GIT snapshot 2007-11-09 (78e88d1f4e2f058c487978c01e19a828271f3f0b)

* Wed Oct 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt9
- GIT snapshot 2007-10-10 (254f9b075034c86e5936954b52f499d573880039)

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt8
- GIT snapshot 2007-09-09 (0a56cb53d7e2a58ef044c9090f48fd46a2b251d9)

* Wed Aug 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt7
- GIT snapshot 2007-08-08 (9cc11cbc9ce10b99f72d7c08584bf61d179cdbda)

* Mon Aug 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt6
- GIT snapshot 2007-08-06 (59d073c9b01a8f61675b8d74f5c55f134ddfb8bf)

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt5
- GIT snapshot 2007-07-30 (68070ff7309c8b1cf149490dcf537892b0bf44bc):
  + Xv now manages a pool of 6 notifiers for its double buffering.
    Also improved the memory allocation logic.

* Sun Jul 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt4
- GIT snapshot 2007-07-29 (bceef7210e44dc643a5f7a5b5683d5c434a07565):
  + Xv: fixed bugs when displayed only part of the source image (tvtime with overscan)
  + Xv: fixed bug with overlay behaving badly when window is partly out of screen
  + Xv: clean up NVPutImage code

* Sat Jul 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- Git snapshot 2007-07-17 (d4abe1fb011d414fda1871f052dda5b860f0820b)

* Sun Jun 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- Git snapshot 2007-06-24 (45dccb99a541a0e1e7be7b4e5aab12c3d8d9f30d)
- added nouveau.xinf

* Thu Apr 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- GIT snapshot 2007-04-23 (7af7d95eb8826fa3fb9914a8c6ad4b6f4867095e)

